# IRsWidgetComplexActivation Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | OnActivateDo ([in] IRcUndoRedoGroup *pUndoRedo)
HRESULT | OnActivateUndo ([in] IRcUndoRedoGroup *pUndoRedo)
HRESULT | OnDeactivateDo ([in] IRcUndoRedoGroup *pUndoRedo)
HRESULT | OnDeactivateUndo ([in] IRcUndoRedoGroup *pUndoRedo)
HRESULT | CanActivate ([out, retval] RtBool *pbCanActivate)

## Detailed Description

Implement this interface in your widget node if you wish to receive these events.

## Member Function Documentation

HRESULT IRsWidgetComplexActivation::OnActivateDo | ( | [in] IRcUndoRedoGroup * | pUndoRedo | ) |

Called during widget activation if widget is activated directly.

Parameters:

  | pUndoRedo | [in] Collector for grouping undo/redo commands.

Returns:
  S_OK if succeeded.

HRESULT IRsWidgetComplexActivation::OnActivateUndo | ( | [in] IRcUndoRedoGroup * | pUndoRedo | ) |

Called during widget activation if widget is activated form Undo.

Parameters:

  | pUndoRedo | [in] Collector for grouping undo/redo commands.

Returns:
  S_OK if succeeded.

HRESULT IRsWidgetComplexActivation::OnDeactivateDo | ( | [in] IRcUndoRedoGroup * | pUndoRedo | ) |

Called during widget deactivation if widget is deactivated directly.

Parameters:

  | pUndoRedo | [in] Collector for grouping undo/redo commands.

Returns:
  S_OK if succeeded.

HRESULT IRsWidgetComplexActivation::OnDeactivateUndo | ( | [in] IRcUndoRedoGroup * | pUndoRedo | ) |

Called during widget deactivation if widget is deactivated from Undo.

Parameters:

  | pUndoRedo | [in] Collector for grouping undo/redo commands.

Returns:
  S_OK if succeeded.

HRESULT IRsWidgetComplexActivation::CanActivate | ( | [out, retval] RtBool * | pbCanActivate | ) |

Called during widget activation to check if widget can activate on provided set of objects stored in widget parameters.

- Call is made on widget template node.

Returns:
  pbCanActivate [out,retval] Fill with true if this widget can be activated on provided list of nodes.

  S_OK if succeeded.